function g_bound = func_global_bound( A_0, A, Alpha, hyper )
    g_bound = 0;
    ntopic = hyper.topic;
    g_bound = g_bound + (gammaln(hyper.alpha*ntopic) - ntopic*gammaln(hyper.alpha)...
        + ntopic*(hyper.alpha-1)*(psi(hyper.alpha)-psi(hyper.alpha*ntopic)));
    g_bound = g_bound - (gammaln(sum(A_0)) - sum(gammaln(A_0))...
        + (A_0-1)*(psi(A_0)-psi(sum(A_0)))');
    g_bound = g_bound + ntopic*(gammaln(hyper.alpha*ntopic) - ntopic*gammaln(hyper.alpha)...
        + ntopic*(hyper.alpha-1)*(psi(hyper.alpha)-psi(hyper.alpha*ntopic)));
    gammaln_A = gammaln(A);
    res_A = (A-1).*(psi(A)-repmat(psi(sum(A,2)),1,ntopic));
    g_bound = g_bound - (sum(gammaln(sum(A,2))) - sum(gammaln_A(:)) + sum(res_A(:)));
    g_bound = g_bound + ntopic*(gammaln(hyper.alpha0*nvocab) - nvocab*gammaln(hyper.alpha0)...
        + nvocab*(hyper.alpha0-1)*(psi(hyper.alpha0)-psi(hyper.alpha0*nvocab)));
    gammaln_theta = gammaln(Alpha);
    res_theta = (Alpha-1).*(psi(Alpha)-repmat(psi(sum(Alpha,2)),1,nvocab));
    g_bound = g_bound - (sum(gammaln(sum(Alpha,2))) - sum(gammaln_theta(:))...
        + sum(res_theta(:)));
end

